var Tempo = function(){
    var _this = this;
    
    var _buttonStart;
    var _buttonReset;
    var _sumUp;
    
    var _status;
    
    var _words;
    
    var _t;
    var _state;
    
    var time;
    
    this.init = function(words){        
        _this._words = words;
        
        _this._buttonStart = $('a#tempoButton');
        _this._buttonReset = $('a#tempoReset');
        _this._status = $('span#tempoResult');        
        _this._sumUp = $('div#tempoSumUp');
        
        _this._buttonStart.html("start");        
        _this._buttonStart.click(_this.startClick);
        
        _this._buttonReset.html("reset");
        _this._buttonReset .click(_this.restartClick);
        
        _this.restartClick();       
        _this._state = 0;
    };
    
    _this.countTime = function(){
        if (_this._state == 1){
            _this.time++;
            _this._status.html(_this._formatedTime());
            setTimeout(_this.countTime, 10);
        }
    }
    
    this._formatedTime = function(){
        var string = "00:00:00.00";
        var step = 100;

        if (_this.time > 0){
            var minuty = Math.floor(_this.time / 6000);
            var seconds = (_this.time-minuty*6000)/100;
            
            if (minuty < 10){
                minuty = "0"+minuty;
            }
            
            var sec = 0;
            
            sec = (Math.round(seconds*100)/100).toFixed(2);
            if (sec < 10){
                sec = "0"+sec;
            }
            
            
//            if (sec.length < 5){
//                var start = sec.length;
//                for (i=start; i<5; i++){
//                    sec += "0";
//                }
//            }
            
            string = "00:"+minuty+":"+sec;
            if (string.length != 11){
                _this._state = 0;    
            }
            
        }
        
        return string;
    };
    
    this.startClick = function(){
        if (_this._state == 0){
            // start
            _this._state = 1;
            _this._buttonStart.html("stop/przelicz");            
            _this.countTime();
        }else{
            _this._t = null;
            _this._buttonStart.html("start");
            _this._state = 0;
            
            var speed = (_this._words/(_this.time/6000)).toFixed(0);
            
            _this._sumUp.empty();
            _this._sumUp.append("<p>Twój czas to: <strong>"+(_this.time/100).toFixed(2)+" s</strong></p>");            
            _this._sumUp.append("<p>Szybkość czytania: <strong>"+speed+" słów/minutę</strong></p>");
            
            $.ajax({
                url: 'index.php?module=ajax&action=speed_desc&speed='+speed,
                success: function (e){
                    _this._sumUp.append(e.text);
                }
            });
        }
    };
    
    this.restartClick = function(){
        _this.time = 0;
        _this._status.html(_this._formatedTime());        
    };
}